[Config]
Name = Email
Summary = Extracts embedded email messages.

[Description]
This metadata module supports email messages embedded into feed items using 
the <a href="http://fgiasson.com/blog/media/mailont.rdf" target="_blank"><tt>mailont</tt></a>
ontology.

[Namespaces]
email = http://www.wam.umd.edu/~roark/mailont.rdf#

[Item Metadata]
_XPathRoot = email:Message
_MetadataGroupRoot = email
sender/email = email:From
recipient/email = email:To
subject = email:Subject
body = email:Body 

[Item Pane Columns]
_AvailabilityMsg=Available for channels that have emails embedded in their feed items.
From=email/sender/email
To=email/recipient/email
Subject=email/subject

[Item Description Template Block]
{%REPEAT% email}
    <div style="border: 1px dotted; margin-top: 1em; margin-left: 2em; margin-right: 2em; padding: 5px;" class="mm-email">
    {%?ITEM-METADATA% email/sender}
        <strong>From:</strong>
            {%?ITEM-METADATA% email/sender/email} <a href="mailto:{%@% encode=sgml chars=<&\"}"> {%ENDIF%}
                {%ITEM-METADATA% email/sender} <br />
            {%?ITEM-METADATA% email/sender/email} </a> {%ENDIF%}
    {%ENDIF%}
    {%?ITEM-METADATA% email/recipient}
        <strong>To:</strong> {%@%} <br />
    {%ENDIF%}
    {%?ITEM-METADATA% email/subject}
        <strong>Subject:</strong> {%@%} <br />
    {%ENDIF%}
    {%?ITEM-METADATA% email/body}
        <br />
        {%@%}
    {%ENDIF%}    
    </div>
{%/REPEAT%}

